Bug 390911 - RFE - sfdisk does not work with /dev/mapper multipath'ed devices
RFE - sfdisk does not work with /dev/mapper multipath'ed devices
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.4
All Linux
high Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 14:20 EST by David Mair
Modified: 2010-10-22 16:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0751
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:01:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mair 2007-11-19 14:20:47 EST
Description of problem:
sfdisk does not work with /dev/mapper multipath'ed devices

This command does not work:

#sfdisk --no-reread /dev/mapper/oraRAC4ART4_disk1_4500M <
/root/4500M-partitioning.txt

Disk oraRAC4ART4_disk1_4500M: cannot get geometry
sfdisk: bad input


Now... from the output of multipath -ls:

oraRAC4ART4_disk1_4500M (SEMC_____SYMMETRIX______5032630AC000)
[size=34 GB][features="0"][hwhandler="0"]
_ round-robin 0 [active]
_ 1:0:0:20  sdaq 66:160 [active][ready]
_ 0:0:0:20  sdn  8:208  [active][ready]

Notice /dev/sdn is one of the paths.  It works:

#sfdisk --no-reread /dev/sdn < /root/4500M-partitioning.txt

Successfully wrote the new partition table
Re-reading the partition table ...

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.See above
2.
3.
  
Actual results:


Expected results:
Successfully perform sfdisk operations against multi-pathed devices.

Additional info:
SEG comments on this request:
this is a feature, and one I highly doubt will go anywhere but here it goes. 
Device-mapper devices may describe anything, and may not necessarily have a
one-to-one relationship with its underlying device (which is the case with LVM).
 Multipath happens to be 1 of the many things that utilizes DM, and is the only
thing that has a one-to-one relationship with the underlying device.  So
although it may make sense to use fdisk/sfdisk with dm devices in this
particular case, there is an overwhelming number of cases where you don't want
this functionality, you would even want to prohibit it.  I explained this to
Cisco when I was onsite with them.
Comment 5 RHEL Product and Program Management 2007-11-28 22:54:53 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 errata-xmlrpc 2008-07-24 16:01:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0751.html

Note You need to log in before you can comment on or make changes to this bug.